Package org.codehaus.groovy.tools.groovydoc

# Class FileOutputTool

java.lang.Object
org.codehaus.groovy.tools.groovydoc.FileOutputTool

All Implemented Interfaces:
  `OutputTool`

public class FileOutputTool extends Object implements OutputTool

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileOutputTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `makeOutputArea(String filename)`
  `void`
  `writeToOutput(String fileName, String text, String charset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileOutputTool

    public FileOutputTool()

- ## Method Details

  - ### makeOutputArea

    public void makeOutputArea(String filename)
    Specified by:
      `makeOutputArea` in interface `OutputTool`

  - ### writeToOutput

    public void writeToOutput(String fileName, String text, String charset) throws Exception
    Specified by:
      `writeToOutput` in interface `OutputTool`
    Throws:
      `Exception`